net.corda.node.services.statemachine

## Class FlowSessionState.Initiating

- FlowSessionState
- - net.corda.node.services.statemachine.FlowSessionState.Initiating

- Enclosing class:
    FlowSessionState

      public static class FlowSessionState.Initiating
      extends FlowSessionState

  otherParty may be a specific peer or a service party

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.node.services.statemachine.FlowSessionState

      `FlowSessionState.Initiated, FlowSessionState.Initiating`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Initiating(Party otherParty)` otherParty may be a specific peer or a service party

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Party` | `getOtherParty()`
    `Party` | `getSendToParty()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.corda.node.services.statemachine.FlowSessionState

      `getSendToParty`

- - ### Constructor Detail

    - #### Initiating

          public Initiating(Party otherParty)

      otherParty may be a specific peer or a service party

  - ### Method Detail

    - #### getSendToParty

          public Party getSendToParty()

    - #### toString

          public java.lang.String toString()

    - #### getOtherParty

          public Party getOtherParty()